Unit tqsjac_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, QSJAC_p;

function tqsjac: String;

implementation

function tqsjac: String;
var
NN,N,K :Integer;
ALF,BTA,SAB,DBA,P,FN,FN1,Q1,Q2,Q3,Q4,Q5 :Real;
X :Array [0..511] of Real;
W :Array [0..511] of Real;
A :Array [0..511] of Real;
B :Array [0..511] of Real;
C :Array [0..511] of Real;
label
_1,_2;
begin
Result := '';  {   }
ALF := 1.0;
BTA := 1.0;
NN := 8;
SAB := ALF+BTA;
DBA := ALF-BTA;
P := SAB*DBA;
A[0] := 0.0;
B[0] := 0.0;
C[0] := 0.0;
for N:=2 to 512 do
 begin
  FN := N;
  FN1 := N-1;
  Q1 := 2.0*FN+SAB;
  Q2 := Q1-1.0;
  Q3 := SAB+FN;
  Q4 := FN*Q3;
  Q5 := Q4*(Q1-2.0);
  A[N-1] := Q1*Q2/(2.0*Q4);
  B[N-1] := P*Q2/(2.0*Q5);
  C[N-1] := Q1*(ALF+FN1)*(BTA+FN1)/Q5;
_1:
 end;
QSJAC(X,W,ALF,BTA,NN,A,B,C);
for K:=1 to NN do
 begin
_2:
  Result := Result + Format(' %16.7f %16.7f ',[X[K-1],W[K-1]]) + #$0D#$0A;
 end;
UtRes('tqsjac',Result);  {     tqsjac.res }
exit;
end;

end.
